package AccountManager::Template::Plugin::Quote;

use Mojo::Base -strict;

use Template::Stash;

use constant DEFAULT_CHAR => '"';

$Template::Stash::SCALAR_OPS->{ quote } = sub {
    my $scalar = shift;
    my $char = shift || DEFAULT_CHAR;
    return $char . $scalar . $char;
};

$Template::Stash::LIST_OPS->{ quote } = sub {
    my $list = shift;
    my $char = shift || DEFAULT_CHAR;
    return [ map { $char . $_ . $char } @$list ];
};

1;
